Request class for the TransactWriteItems operation. Write up to 10 items to one or many tables in a transaction.

### Hierarchy

- TransactWriteRequest

## Index

### Constructors

- constructor

### Properties

- params

### Methods

- exec
- execFullResponse
- returnConsumedCapacity
- returnItemCollectionMetrics
- transact

## Constructors

### constructor

- new TransactWriteRequest(): TransactWriteRequest

- - Defined in dynamo/transactwrite/transact-write.request.ts:13

  #### Returns TransactWriteRequest

## Properties

### params

params: TransactWriteItemsInput

- Defined in dynamo/transactwrite/transact-write.request.ts:12

## Methods

### exec

- exec(): Promise<void>

- - Defined in dynamo/transactwrite/transact-write.request.ts:57

  execute the request.

  #### Returns Promise<void>

### execFullResponse

- execFullResponse(): Promise<TransactWriteItemsOutput>

- - Defined in dynamo/transactwrite/transact-write.request.ts:50

  execute the request and return the full reponse.

  #### Returns Promise<TransactWriteItemsOutput>

### returnConsumedCapacity

- returnConsumedCapacity(level: DynamoDB.ReturnConsumedCapacity): TransactWriteRequest

- - Defined in dynamo/transactwrite/transact-write.request.ts:22

  #### Parameters

  - ##### level: DynamoDB.ReturnConsumedCapacity

  #### Returns TransactWriteRequest

### returnItemCollectionMetrics

- returnItemCollectionMetrics(returnItemCollectionMetrics: DynamoDB.ReturnItemCollectionMetrics): TransactWriteRequest

- - Defined in dynamo/transactwrite/transact-write.request.ts:30

  return item collection metrics.

  #### Parameters

  - ##### returnItemCollectionMetrics: DynamoDB.ReturnItemCollectionMetrics

  #### Returns TransactWriteRequest

### transact

- transact(...writeOperations: TransactOperation[]): TransactWriteRequest

- - Defined in dynamo/transactwrite/transact-write.request.ts:35

  #### Parameters

  - ##### Rest ...writeOperations: TransactOperation[]

  #### Returns TransactWriteRequest